<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output indent="yes" method="xml"/>

    <xsl:param name="docPath" />
    <xsl:variable name="doc2" select="document($docPath)"/>
    
    <xsl:preserve-space elements="section" />    
    
<!-- match each node in input xml document, that is, msg_w_num.xml -->
    <xsl:template match="@*|node()">
        <!-- copy the current node to the result tree -->
        <xsl:copy>
            <xsl:apply-templates select="@*|node()"/>
        </xsl:copy>       
    </xsl:template>
 
    <xsl:template match="input">
        <xsl:copy>
          <xsl:apply-templates select="@*|node()"/>
          <xsl:apply-templates select="$doc2/flexextractor/input/*" />
        </xsl:copy>
  </xsl:template>
  
    <xsl:template match="output">
        <xsl:copy>
          <xsl:apply-templates select="@*|node()"/>
          <xsl:apply-templates select="$doc2/flexextractor/output/*" />
        </xsl:copy>
  </xsl:template>
</xsl:stylesheet>
